summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2017-09-01 12:50:07 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-09-01 12:50:07 +0000
commitb820b0dbace5554e028881870d238e3726dd2545 (patch)
treea2cb605fdda0aec53bf939c8214748f1368937a3
parent214407724f73efd840e2f112e4849ff9c878c5ea (diff)
parent5b8d42064af9ee791b72bcda840decffd9e18c66 (diff)
Merge "Apex, Yardstick: Fixes fetching creds"
-rwxr-xr-xutils/fetch_os_creds.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/utils/fetch_os_creds.sh b/utils/fetch_os_creds.sh
index 377930d66..72bebade1 100755
--- a/utils/fetch_os_creds.sh
+++ b/utils/fetch_os_creds.sh
@@ -148,6 +148,13 @@ if [ "$installer_type" == "fuel" ]; then
echo $auth_url >> $dest_path
elif [ "$installer_type" == "apex" ]; then
+ if ! ipcalc -c $installer_ip; then
+ installer_ip=$(virsh domifaddr undercloud | grep -Eo '[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}')
+ if [ -z "$installer_ip" ] || ! $(ipcalc -c $installer_ip); then
+ echo "Unable to find valid IP for Apex undercloud: ${installer_ip}"
+ exit 1
+ fi
+ fi
verify_connectivity $installer_ip
# The credentials file is located in the Instack VM (192.0.2.1)